Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface PathHandler

All Known Implementing Classes:
  AWTPathProducer, DefaultPathHandler

public interface PathHandler

This interface must be implemented and then registred as the handler of a `PathParser` instance in order to be notified of parsing events.

Method Summary
`void` | `arcAbs(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y)` Invoked when an absolute elliptical arc command has been parsed.
`void` | `arcRel(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y)` Invoked when a relative elliptical arc command has been parsed.
`void` | `closePath()` Invoked when a closepath has been parsed.
`void` | `curvetoCubicAbs(float x1, float y1, float x2, float y2, float x, float y)` Invoked when an absolute cubic bezier curve command has been parsed.
`void` | `curvetoCubicRel(float x1, float y1, float x2, float y2, float x, float y)` Invoked when a relative cubic bezier curve command has been parsed.
`void` | `curvetoCubicSmoothAbs(float x2, float y2, float x, float y)` Invoked when an absolute smooth cubic bezier curve command has been parsed.
`void` | `curvetoCubicSmoothRel(float x2, float y2, float x, float y)` Invoked when a relative smooth cubic bezier curve command has been parsed.
`void` | `curvetoQuadraticAbs(float x1, float y1, float x, float y)` Invoked when an absolute quadratic bezier curve command has been parsed.
`void` | `curvetoQuadraticRel(float x1, float y1, float x, float y)` Invoked when a relative quadratic bezier curve command has been parsed.
`void` | `curvetoQuadraticSmoothAbs(float x, float y)` Invoked when an absolute smooth quadratic bezier curve command has been parsed.
`void` | `curvetoQuadraticSmoothRel(float x, float y)` Invoked when a relative smooth quadratic bezier curve command has been parsed.
`void` | `endPath()` Invoked when the path ends.
`void` | `linetoAbs(float x, float y)` Invoked when an absolute line command has been parsed.
`void` | `linetoHorizontalAbs(float x)` Invoked when an horizontal absolute line command has been parsed.
`void` | `linetoHorizontalRel(float x)` Invoked when an horizontal relative line command has been parsed.
`void` | `linetoRel(float x, float y)` Invoked when a relative line command has been parsed.
`void` | `linetoVerticalAbs(float y)` Invoked when a vertical absolute line command has been parsed.
`void` | `linetoVerticalRel(float y)` Invoked when a vertical relative line command has been parsed.
`void` | `movetoAbs(float x, float y)` Invoked when an absolute moveto command has been parsed.
`void` | `movetoRel(float x, float y)` Invoked when a relative moveto command has been parsed.
`void` | `startPath()` Invoked when the path starts.

Method Detail

### startPath

    public void startPath()
                   throws ParseException

  Invoked when the path starts.

  Throws:
    `ParseException` - if an error occured while processing the path

### endPath

    public void endPath()
                 throws ParseException

  Invoked when the path ends.

  Throws:
    `ParseException` - if an error occured while processing the path

### movetoRel

    public void movetoRel(float x,
                          float y)
                   throws ParseException

  Invoked when a relative moveto command has been parsed.

  Command : m

  Throws:
    `ParseException` - if an error occured while processing the path

### movetoAbs

    public void movetoAbs(float x,
                          float y)
                   throws ParseException

  Invoked when an absolute moveto command has been parsed.

  Command : M

  Throws:
    `ParseException` - if an error occured while processing the path

### closePath

    public void closePath()
                   throws ParseException

  Invoked when a closepath has been parsed.

  Command : z | Z

  Throws:
    `ParseException` - if an error occured while processing the path

### linetoRel

    public void linetoRel(float x,
                          float y)
                   throws ParseException

  Invoked when a relative line command has been parsed.

  Command : l

  Throws:
    `ParseException` - if an error occured while processing the path

### linetoAbs

    public void linetoAbs(float x,
                          float y)
                   throws ParseException

  Invoked when an absolute line command has been parsed.

  Command : L

  Throws:
    `ParseException` - if an error occured while processing the path

### linetoHorizontalRel

    public void linetoHorizontalRel(float x)
                             throws ParseException

  Invoked when an horizontal relative line command has been parsed.

  Command : h

  Parameters:
    `x` - the relative X coordinate of the end point
  Throws:
    `ParseException` - if an error occured while processing the path

### linetoHorizontalAbs

    public void linetoHorizontalAbs(float x)
                             throws ParseException

  Invoked when an horizontal absolute line command has been parsed.

  Command : H

  Parameters:
    `x` - the absolute X coordinate of the end point
  Throws:
    `ParseException` - if an error occured while processing the path

### linetoVerticalRel

    public void linetoVerticalRel(float y)
                           throws ParseException

  Invoked when a vertical relative line command has been parsed.

  Command : v

  Parameters:
    `y` - the relative Y coordinate of the end point
  Throws:
    `ParseException` - if an error occured while processing the path

### linetoVerticalAbs

    public void linetoVerticalAbs(float y)
                           throws ParseException

  Invoked when a vertical absolute line command has been parsed.

  Command : V

  Parameters:
    `y` - the absolute Y coordinate of the end point
  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoCubicRel

    public void curvetoCubicRel(float x1,
                                float y1,
                                float x2,
                                float y2,
                                float x,
                                float y)
                         throws ParseException

  Invoked when a relative cubic bezier curve command has been parsed.

  Command : c

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoCubicAbs

    public void curvetoCubicAbs(float x1,
                                float y1,
                                float x2,
                                float y2,
                                float x,
                                float y)
                         throws ParseException

  Invoked when an absolute cubic bezier curve command has been parsed.

  Command : C

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoCubicSmoothRel

    public void curvetoCubicSmoothRel(float x2,
                                      float y2,
                                      float x,
                                      float y)
                               throws ParseException

  Invoked when a relative smooth cubic bezier curve command has been parsed. The first control point is assumed to be the reflection of the second control point on the previous command relative to the current point.

  Command : s

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoCubicSmoothAbs

    public void curvetoCubicSmoothAbs(float x2,
                                      float y2,
                                      float x,
                                      float y)
                               throws ParseException

  Invoked when an absolute smooth cubic bezier curve command has been parsed. The first control point is assumed to be the reflection of the second control point on the previous command relative to the current point.

  Command : S

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoQuadraticRel

    public void curvetoQuadraticRel(float x1,
                                    float y1,
                                    float x,
                                    float y)
                             throws ParseException

  Invoked when a relative quadratic bezier curve command has been parsed.

  Command : q

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoQuadraticAbs

    public void curvetoQuadraticAbs(float x1,
                                    float y1,
                                    float x,
                                    float y)
                             throws ParseException

  Invoked when an absolute quadratic bezier curve command has been parsed.

  Command : Q

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoQuadraticSmoothRel

    public void curvetoQuadraticSmoothRel(float x,
                                          float y)
                                   throws ParseException

  Invoked when a relative smooth quadratic bezier curve command has been parsed. The control point is assumed to be the reflection of the control point on the previous command relative to the current point.

  Command : t

  Throws:
    `ParseException` - if an error occured while processing the path

### curvetoQuadraticSmoothAbs

    public void curvetoQuadraticSmoothAbs(float x,
                                          float y)
                                   throws ParseException

  Invoked when an absolute smooth quadratic bezier curve command has been parsed. The control point is assumed to be the reflection of the control point on the previous command relative to the current point.

  Command : T

  Throws:
    `ParseException` - if an error occured while processing the path

### arcRel

    public void arcRel(float rx,
                       float ry,
                       float xAxisRotation,
                       boolean largeArcFlag,
                       boolean sweepFlag,
                       float x,
                       float y)
                throws ParseException

  Invoked when a relative elliptical arc command has been parsed.

  Command : a

  Parameters:
    `rx` - the X axis radius for the ellipse
    `ry` - the Y axis radius for the ellipse
    `largeArcFlag` - the value of the large-arc-flag
    `sweepFlag` - the value of the sweep-flag
  Throws:
    `ParseException` - if an error occured while processing the path

### arcAbs

    public void arcAbs(float rx,
                       float ry,
                       float xAxisRotation,
                       boolean largeArcFlag,
                       boolean sweepFlag,
                       float x,
                       float y)
                throws ParseException

  Invoked when an absolute elliptical arc command has been parsed.

  Command : A

  Parameters:
    `rx` - the X axis radius for the ellipse
    `ry` - the Y axis radius for the ellipse
    `largeArcFlag` - the value of the large-arc-flag
    `sweepFlag` - the value of the sweep-flag
  Throws:
    `ParseException` - if an error occured while processing the path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.